Package org.eclipse.cdt.utils

## Class Objdump

- java.lang.Object
- - org.eclipse.cdt.utils.Objdump

    public class Objdump
    extends Object

### Constructor Summary

Constructors
`Objdump​(String file)`
`Objdump​(String command, String[] params, String file)`
`Objdump​(String command, String param, String file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`InputStream` `getInputStream()`
`byte[]` `getOutput()`
`byte[]` `getOutput​(int limitBytes)` Limit output to number of bytes
`protected void` `init​(String command, String[] params, String file)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Objdump

    public Objdump​(String command,
                   String param,
                   String file)
            throws IOException

Throws:
  `IOException`

#### Objdump

    public Objdump​(String command,
                   String[] params,
                   String file)
            throws IOException

Throws:
  `IOException`

#### Objdump

    public Objdump​(String file)
            throws IOException

Throws:
  `IOException`

### Method Detail

#### init

    protected void init​(String command,
                        String[] params,
                        String file)
                 throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getOutput

    public byte[] getOutput​(int limitBytes)
                     throws IOException

Limit output to number of bytes

Throws:
  `IOException`
Since:
  5.8

#### getOutput

    public byte[] getOutput()
                     throws IOException

Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Throws:
  `IOException`
Since:
  5.8

#### dispose

    public void dispose()